import service from "../axios";
import setUpUrls from "../urls/apis";

export default {
  // 教师首页数据
  teacherIndex(data) {
    return service({
      url: setUpUrls.teacherIndex,
      method: "POST",
      data,
    });
  },
  // 学校管理员首页数据
  schoolIndex(data) {
    return service({
      url: setUpUrls.schoolIndex,
      method: "POST",
      data,
    });
  },
  // 集团管理员首页数据
  tenantIndex(data) {
    return service({
      url: setUpUrls.tenantIndex,
      method: "POST",
      data,
    });
  },
  // 班主任首页数据
  classIndex(data) {
    return service({
      url: setUpUrls.classIndex,
      method: "POST",
      data,
    });
  },
  // 个人版首页数据
  personalIndex(data) {
    return service({
      url: setUpUrls.personalIndex,
      method: "POST",
      data,
    });
  },


  //班主任-查询管理的班级
  cTClassList(data) {
    return service({
      url: setUpUrls.cTClassList,
      method: "POST",
      data,
    });
  },
  //班主任-查询管理班级授课科目
  cTSubjectList(data) {
    return service({
      url: setUpUrls.cTSubjectList,
      method: "POST",
      data,
    });
  },
  //班主任-查询阶段问答报表
  cTPhaseAnswerReport(data) {
    return service({
      url: setUpUrls.cTPhaseAnswerReport,
      method: "POST",
      data,
    });
  },
  //班主任-查询阶段互动报表
  cTPhaseInteractiveReport(data) {
    return service({
      url: setUpUrls.cTPhaseInteractiveReport,
      method: "POST",
      data,
    });
  },
  //班主任-查询阶段测练报表
  cTPhaseExamReport(data) {
    return service({
      url: setUpUrls.cTPhaseExamReport,
      method: "POST",
      data,
    });
  },
  //班主任-导出阶段问答报表
  cTExportPhaseAnswerReport(data) {
    return service({
      url: setUpUrls.cTExportPhaseAnswerReport,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //班主任-导出阶段互动报表
  cTExportPhaseInteractiveReport(data) {
    return service({
      url: setUpUrls.cTExportPhaseInteractiveReport,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //班主任-导出阶段测练报表
  cTExportPhaseExamReport(data) {
    return service({
      url: setUpUrls.cTExportPhaseExamReport,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },

  //任课老师-查询管理的班级
  tClassList(data) {
    return service({
      url: setUpUrls.tClassList,
      method: "POST",
      data,
    });
  },
  //任课老师-查询管理班级授课科目
  tSubjectList(data) {
    return service({
      url: setUpUrls.tSubjectList,
      method: "POST",
      data,
    });
  },
  //任课老师-分页查询课时报表列表
  periodReportList(data) {
    return service({
      url: setUpUrls.periodReportList,
      method: "POST",
      data,
    });
  },
  //任课老师-查询阶段问答报表
  phaseAnswerReport(data) {
    return service({
      url: setUpUrls.phaseAnswerReport,
      method: "POST",
      data,
    });
  },
  //任课老师-查询阶段互动报表
  phaseInteractiveReport(data) {
    return service({
      url: setUpUrls.phaseInteractiveReport,
      method: "POST",
      data,
    });
  },
  //任课老师-查询课时题目列表
  periodQuestionList(data) {
    return service({
      url: setUpUrls.periodQuestionList,
      method: "POST",
      data,
    });
  },
  //任课老师-设置课时报表答案
  setPeriodAnswer(data) {
    return service({
      url: setUpUrls.setPeriodAnswer,
      method: "POST",
      data,
    });
  },
  //任课老师-查询课时报表详情
  periodDetail(data) {
    return service({
      url: setUpUrls.periodDetail,
      method: "POST",
      data,
    });
  },
  //任课老师-分页查询课时题目统计列表
  periodQuestionReport(data) {
    return service({
      url: setUpUrls.periodQuestionReport,
      method: "POST",
      data,
    });
  },
  //任课老师-查询课时学生答题明细
  periodStudentReport(data) {
    return service({
      url: setUpUrls.periodStudentReport,
      method: "POST",
      data,
    });
  },
  //任课老师-分页查询即时测报表
  examReportList(data) {
    return service({
      url: setUpUrls.examReportList,
      method: "POST",
      data,
    });
  },
  //任课老师-查询阶段测练报表
  phaseExamReport(data) {
    return service({
      url: setUpUrls.phaseExamReport,
      method: "POST",
      data,
    });
  },
  //任课老师-查询即时测报表题目列表
  examQuestionList(data) {
    return service({
      url: setUpUrls.examQuestionList,
      method: "POST",
      data,
    });
  },
  //任课老师-设置即时测报表答案
  setExamAnswer(data) {
    return service({
      url: setUpUrls.setExamAnswer,
      method: "POST",
      data,
    });
  },
  //任课老师-查询即时测报表详情
  examDetail(data) {
    return service({
      url: setUpUrls.examDetail,
      method: "POST",
      data,
    });
  },
  //任课老师-下载导入主观题分模板
  subjectiveScoreTemplate(data) {
    return service({
      url: setUpUrls.subjectiveScoreTemplate,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //任课老师-导入主观题得分
  importSubjectiveScore(data) {
    return service({
      url: setUpUrls.importSubjectiveScore,
      method: "POST",
      data,
    });
  },
  //任课老师-分页查询即时测题目统计
  examQuestionReport(data) {
    return service({
      url: setUpUrls.examQuestionReport,
      method: "POST",
      data,
    });
  },
  //任课老师-查询即时测学生统计
  examStudentReport(data) {
    return service({
      url: setUpUrls.examStudentReport,
      method: "POST",
      data,
    });
  },
  //任课老师-重新判分
  reScore(data) {
    return service({
      url: setUpUrls.reScore,
      method: "POST",
      data,
    });
  },
  //任课老师-数据导出
  exportData() {
    return service({
      url: setUpUrls.exportData,
      method: "POST",
      responseType: 'arraybuffer',
      headers: {
        'Content-Type': 'application/octet-stream'
      }
    });
  },
  //任课老师-数据导入
  importData(data) {
    return service({
      url: setUpUrls.importData,
      method: "POST",
      data,
    });
  },
  //任课老师-导出阶段问答报表
  exportPhaseAnswerReport(data) {
    return service({
      url: setUpUrls.exportPhaseAnswerReport,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //任课老师-导出阶段互动报表
  exportPhaseInteractiveReport(data) {
    return service({
      url: setUpUrls.exportPhaseInteractiveReport,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //任课老师-导出单课时报表
  exportPeriodReport(data) {
    return service({
      url: setUpUrls.exportPeriodReport,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //任课老师-导出阶段测练报表
  exportPhaseExamReport(data) {
    return service({
      url: setUpUrls.exportPhaseExamReport,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //任课老师-导出单卷测练报表
  exportExamReport(data) {
    return service({
      url: setUpUrls.exportExamReport,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //  任课老师-查询学生列表
  tStudentList(data) {
    return service({
      url: setUpUrls.tStudentList,
      method: "POST",
      data
    });
  },
  //任课老师-学生测练统计
  tStudentExamReport(data) {
    return service({
      url: setUpUrls.tStudentExamReport,
      method: "POST",
      data,
    });
  },

  // 查询角色列表
  roleList(data) {
    return service({
      url: setUpUrls.roleList,
      method: "POST",
      data,
    });
  },
  // 分页查询账号
  userPage(data) {
    return service({
      url: setUpUrls.userPage,
      method: "POST",
      data,
    });
  },
  //  修改账号 禁用账号、修改账号密码等
  updateUser(data) {
    return service({
      url: setUpUrls.updateUser,
      method: "POST",
      data,
    });
  },
  //  查询学校详情
  schoolDetail(data) {
    return service({
      url: setUpUrls.schoolDetail,
      method: "POST",
      data,
    });
  },
  //  修改学校信息
  updateSchool(data) {
    return service({
      url: setUpUrls.updateSchool,
      method: "POST",
      data,
    });
  },
  //  学校年级管理
  gradeList(data) {
    return service({
      url: setUpUrls.gradeList,
      method: "POST",
      data,
    });
  },
  //  查询学校所有科目
  subjectList(data) {
    return service({
      url: setUpUrls.subjectList,
      method: "POST",
      data,
    });
  },
  //  删除科目
  delSubject(data) {
    return service({
      url: setUpUrls.delSubject,
      method: "POST",
      data,
    });
  },
  //  修改年级信息
  updateGrade(data) {
    return service({
      url: setUpUrls.updateGrade,
      method: "POST",
      data,
    });
  },
  //  查询学校班级列表
  schoolClassList(data) {
    return service({
      url: setUpUrls.classList,
      method: "POST",
      data,
    });
  },
  //  查询学生列表
  studentList(data) {
    return service({
      url: setUpUrls.studentList,
      method: "POST",
      data,
    });
  },
  //  修改班级信息
  updateClass(data) {
    return service({
      url: setUpUrls.updateClass,
      method: "POST",
      data,
    });
  },
  //  增加学生
  addStudent(data) {
    return service({
      url: setUpUrls.addStudent,
      method: "POST",
      data,
    });
  },
  //  导入学生答题器绑定模板下载地址
  studentClickerTemplateUrl(data) {
    return service({
      url: setUpUrls.studentClickerTemplateUrl,
      method: "POST",
      data,
    });
  },
  //  导入学生答题器文件上传
  importStudentClicker(data) {
    return service({
      url: setUpUrls.importStudentClicker,
      method: "POST",
      data,
    });
  },
  //  班级名册模板下载
  classAndStudentTemplate(data) {
    return service({
      url: setUpUrls.classAndStudentTemplate,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //  班级名册导出
  exportClassAndStudent(data) {
    return service({
      url: setUpUrls.exportClassAndStudent,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //  教师模板下载
  teacherTemplate(data) {
    return service({
      url: setUpUrls.teacherTemplate,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //  教师导出
  exportTeacher(data) {
    return service({
      url: setUpUrls.exportTeacher,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },

  //  删除学生
  delStudent(data) {
    return service({
      url: setUpUrls.delStudent,
      method: "POST",
      data,
    });
  },
  //  查询学校教师列表
  teacherList(data) {
    return service({
      url: setUpUrls.teacherList,
      method: "POST",
      data,
    });
  },
  //  新增教师
  addTeacher(data) {
    return service({
      url: setUpUrls.addTeacher,
      method: "POST",
      data,
    });
  },
  //  修改教师信息
  updateTeacher(data) {
    return service({
      url: setUpUrls.updateTeacher,
      method: "POST",
      data,
    });
  },
  //  删除教师管理班级或年级
  delTeacherManager(data) {
    return service({
      url: setUpUrls.delTeacherManager,
      method: "POST",
      data,
    });
  },
  //  查询基站统计数据
  stationReport(data) {
    return service({
      url: setUpUrls.stationReport,
      method: "POST",
      data,
    });
  },
  //  查询答题器统计数据
  keyboardReport(data) {
    return service({
      url: setUpUrls.keyboardReport,
      method: "POST",
      data,
    });
  },
  //  分页查询设备列表
  deviceList(data) {
    return service({
      url: setUpUrls.deviceList,
      method: "POST",
      data,
    });
  },
  //  导出设备列表
  exportDevice(data) {
    return service({
      url: setUpUrls.exportDevice,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //  查询设备详情
  deviceDetail(data) {
    return service({
      url: setUpUrls.deviceDetail,
      method: "POST",
      data,
    });
  },
  //  分页查询设备日志列表
  deviceLogList(data) {
    return service({
      url: setUpUrls.deviceLogList,
      method: "POST",
      data,
    });
  },
  //  修改设备自动升级状态
  modifyUpgradeFlag(data) {
    return service({
      url: setUpUrls.modifyUpgradeFlag,
      method: "POST",
      data,
    });
  },
  //  设备自动升级状态(全部)
  modifyUpgradeFlagBySchool(data) {
    return service({
      url: setUpUrls.modifyUpgradeFlagBySchool,
      method: "POST",
      data,
    });
  },
  //  修改基站信息
  updateDevice(data) {
    return service({
      url: setUpUrls.updateDevice,
      method: "POST",
      data,
    });
  },
  //  新增基站
  addStation(data) {
    return service({
      url: setUpUrls.addStation,
      method: "POST",
      data,
    });
  },
  //  导入基站模板下载老地址
  stationTemplateUrl() {
    return service({
      url: setUpUrls.stationTemplateUrl,
      method: "POST",
    });
  },
  //  导入基站模板下载新地址
  stationTemplate() {
    return service({
      url: setUpUrls.stationTemplate,
      method: "POST",
      responseType: 'arraybuffer',
    });
  },
  //  查询下载配置列表
  appConfigList(data) {
    return service({
      url: setUpUrls.appConfigList,
      method: "POST",
      data,
    });
  },
  //  查询最新的授课端应用版本
  latestVersion(data) {
    return service({
      url: setUpUrls.latestVersion,
      method: "POST",
      data,
    });
  },
  //  下载指定配置的最新版本授课端
  getAppDownloadUrl(data) {
    return service({
      url: setUpUrls.getAppDownloadUrl,
      method: "POST",
      data,
    });
  },
  //  新增授课端应用配置
  addAppConfig(data) {
    return service({
      url: setUpUrls.addAppConfig,
      method: "POST",
      data,
    });
  },
  //  修改授课端应用配置
  updateAppConfig(data) {
    return service({
      url: setUpUrls.updateAppConfig,
      method: "POST",
      data,
    });
  },
  //  发卡记录
  cardList(data) {
    return service({
      url: setUpUrls.cardList,
      method: "POST",
      data,
    });
  },
  //  设备使用分析
  usageAnalysis(data) {
    return service({
      url: setUpUrls.usageAnalysis,
      method: "POST",
      data,
    });
  },
  //  导出设备使用分析
  exportUsageAnalysis(data) {
    return service({
      url: setUpUrls.exportUsageAnalysis,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //  发卡应用下载
  latestClickersApp(data) {
    return service({
      url: setUpUrls.latestClickersApp,
      method: "POST",
      data,
    });
  },
  //  发卡数据导出
  exportClickersLog(data) {
    return service({
      url: setUpUrls.exportClickersLog,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //  班级归档
  classArchiving(data) {
    return service({
      url: setUpUrls.classArchiving,
      method: "POST",
      data,
    });
  },
  //  查询学校已归档班级列表
  archivingClassList(data) {
    return service({
      url: setUpUrls.archivingClassList,
      method: "POST",
      data,
    });
  },
  //  学生换班
  studentChangeClass(data) {
    return service({
      url: setUpUrls.studentChangeClass,
      method: "POST",
      data,
    });
  },
  //  升级年级
  upgradeGrade(data) {
    return service({
      url: setUpUrls.upgradeGrade,
      method: "POST",
      data,
    });
  },
  //  学校学段
  sectionList(data) {
    return service({
      url: setUpUrls.sectionList,
      method: "POST",
      data,
    });
  },

  /**
   * 集团管理员-学校管理
   */
  //  区域列表
  regionList(data) {
    return service({
      url: setUpUrls.regionList,
      method: "POST",
      data,
    });
  },
  //  学校列表
  schoolList(data) {
    return service({
      url: setUpUrls.schoolList,
      method: "POST",
      data,
    });
  },
  //  新增或修改学校
  saveSchool(data) {
    return service({
      url: setUpUrls.saveSchool,
      method: "POST",
      data,
    });
  },
  //  删除学校
  removeSchool(data) {
    return service({
      url: setUpUrls.removeSchool,
      method: "POST",
      data,
    });
  },
  //  新增或修改区域
  saveRegion(data) {
    return service({
      url: setUpUrls.saveRegion,
      method: "POST",
      data,
    });
  },
  //  新增学校管理员
  addSchoolManager(data) {
    return service({
      url: setUpUrls.addSchoolManager,
      method: "POST",
      data,
    });
  },
  //  查询角色列表
  tenantRoleList(data) {
    return service({
      url: setUpUrls.tenantRoleList,
      method: "POST",
      data,
    });
  },
  //  账号列表
  tenantUserPage(data) {
    return service({
      url: setUpUrls.tenantUserPage,
      method: "POST",
      data,
    });
  },
  //  新增账号
  addUser(data) {
    return service({
      url: setUpUrls.addUser,
      method: "POST",
      data,
    });
  },
  //  禁用账号、修改账号密码等
  tenantUpdateUser(data) {
    return service({
      url: setUpUrls.tenantUpdateUser,
      method: "POST",
      data,
    });
  },
  //  查询基站统计数据
  tenantStationReport(data) {
    return service({
      url: setUpUrls.tenantStationReport,
      method: "POST",
      data,
    });
  },
  //  查询答题器统计数据
  tenantKeyboardReport(data) {
    return service({
      url: setUpUrls.tenantKeyboardReport,
      method: "POST",
      data,
    });
  },
  //  分页查询设备列表
  tenantDeviceList(data) {
    return service({
      url: setUpUrls.tenantDeviceList,
      method: "POST",
      data,
    });
  },
  //  查询学校年级
  tenantGradeList(data) {
    return service({
      url: setUpUrls.tenantGradeList,
      method: "POST",
      data,
    });
  },
  //  查询学校班级
  tenantClassList(data) {
    return service({
      url: setUpUrls.tenantClassList,
      method: "POST",
      data,
    });
  },
  //  学校使用对比
  schoolContrast(data) {
    return service({
      url: setUpUrls.schoolContrast,
      method: "POST",
      data,
    });
  },
  //  年级使用对比
  gradeContrast(data) {
    return service({
      url: setUpUrls.gradeContrast,
      method: "POST",
      data,
    });
  },
  //  导出学校使用对比
  exportSchoolContrast(data) {
    return service({
      url: setUpUrls.exportSchoolContrast,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //  导出年级使用对比
  exportGradeContrast(data) {
    return service({
      url: setUpUrls.exportGradeContrast,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //  同步教师账号
  syncUser() {
    return service({
      url: setUpUrls.syncUser,
      method: "POST",
    });
  },
  //  导出设备列表
  tenantExportDevice(data) {
    return service({
      url: setUpUrls.tenantExportDevice,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },

  /** 个人版  */
  //  修改个人信息
  getInfo(data) {
    return service({
      url: setUpUrls.getInfo,
      method: "POST",
      data
    });
  },
  modifyInfo(data) {
    return service({
      url: setUpUrls.modifyInfo,
      method: "POST",
      data
    });
  },
  //  查询班级列表
  pClassList(data) {
    return service({
      url: setUpUrls.pClassList,
      method: "POST",
      data
    });
  },
  //  查询科目列表
  pSubjectList(data) {
    return service({
      url: setUpUrls.pSubjectList,
      method: "POST",
      data
    });
  },
  //  查询学生列表
  pStudentList(data) {
    return service({
      url: setUpUrls.pStudentList,
      method: "POST",
      data
    });
  },
  //  新增或修改班级
  pSaveClass(data) {
    return service({
      url: setUpUrls.pSaveClass,
      method: "POST",
      data
    });
  },
  //  删除班级
  pDelClass(data) {
    return service({
      url: setUpUrls.pDelClass,
      method: "POST",
      data
    });
  },
  //  增加学生
  pAddStudent(data) {
    return service({
      url: setUpUrls.pAddStudent,
      method: "POST",
      data
    });
  },
  //  删除学生
  pDelStudent(data) {
    return service({
      url: setUpUrls.pDelStudent,
      method: "POST",
      data
    });
  },
  //  查询答题卡类型列表
  pPaperTagList(data) {
    return service({
      url: setUpUrls.pPaperTagList,
      method: "POST",
      data
    });
  },
  //  查询答题卡列表
  pPaperList(data) {
    return service({
      url: setUpUrls.pPaperList,
      method: "POST",
      data
    });
  },
  //  查询答题卡详情
  pPaperDetail(data) {
    return service({
      url: setUpUrls.pPaperDetail,
      method: "POST",
      data
    });
  },
  //  增加答题卡
  pAddPaper(data) {
    return service({
      url: setUpUrls.pAddPaper,
      method: "POST",
      data
    });
  },
  //  修改答题卡
  pModifyPaper(data) {
    return service({
      url: setUpUrls.pModifyPaper,
      method: "POST",
      data
    });
  },
  //  删除答题卡
  pDelPaper(data) {
    return service({
      url: setUpUrls.pDelPaper,
      method: "POST",
      data
    });
  },
  //  增加答题卡类型
  pAddPaperType(data) {
    return service({
      url: setUpUrls.pAddPaperType,
      method: "POST",
      data
    });
  },
  //  修改答题卡类型
  pModifyPaperType(data) {
    return service({
      url: setUpUrls.pModifyPaperType,
      method: "POST",
      data
    });
  },
  //  删除答题卡类型
  pDelPaperType(data) {
    return service({
      url: setUpUrls.pDelPaperType,
      method: "POST",
      data
    });
  },
  //  分页查询课时报表列表
  pPeriodReportList(data) {
    return service({
      url: setUpUrls.pPeriodReportList,
      method: "POST",
      data
    });
  },
  //  查询阶段问答报表
  pPhaseAnswerReport(data) {
    return service({
      url: setUpUrls.pPhaseAnswerReport,
      method: "POST",
      data
    });
  },
  //  查询阶段互动报表
  pPhaseInteractiveReport(data) {
    return service({
      url: setUpUrls.pPhaseInteractiveReport,
      method: "POST",
      data
    });
  },
  //  查询课时题目列表
  pPeriodQuestionList(data) {
    return service({
      url: setUpUrls.pPeriodQuestionList,
      method: "POST",
      data
    });
  },
  //  设置课时报表答案
  pSetPeriodAnswer(data) {
    return service({
      url: setUpUrls.pSetPeriodAnswer,
      method: "POST",
      data
    });
  },
  //  查询课时报表详情
  pPeriodDetail(data) {
    return service({
      url: setUpUrls.pPeriodDetail,
      method: "POST",
      data
    });
  },
  //  分页查询课时题目统计列表
  pPeriodQuestionReport(data) {
    return service({
      url: setUpUrls.pPeriodQuestionReport,
      method: "POST",
      data
    });
  },
  //  查询课时学生答题明细
  pPeriodStudentReport(data) {
    return service({
      url: setUpUrls.pPeriodStudentReport,
      method: "POST",
      data
    });
  },
  //  导出阶段报表
  pExportPhaseReport(data) {
    return service({
      url: setUpUrls.pExportPhaseReport,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //  分页查询即时测报表
  pExamReportList(data) {
    return service({
      url: setUpUrls.pExamReportList,
      method: "POST",
      data
    });
  },
  //  查询阶段测练报表
  pPhaseExamReport(data) {
    return service({
      url: setUpUrls.pPhaseExamReport,
      method: "POST",
      data
    });
  },
  //  查询即时测报表题目列表
  pExamQuestionList(data) {
    return service({
      url: setUpUrls.pExamQuestionList,
      method: "POST",
      data
    });
  },
  //  设置即时测报表答案
  pSetExamAnswer(data) {
    return service({
      url: setUpUrls.pSetExamAnswer,
      method: "POST",
      data
    });
  },
  //  查询即时测报表详情
  pExamDetail(data) {
    return service({
      url: setUpUrls.pExamDetail,
      method: "POST",
      data
    });
  },
  //  下载导入主观题分模板
  pSubjectiveScoreTemplate(data) {
    return service({
      url: setUpUrls.pSubjectiveScoreTemplate,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //  导入主观题得分
  pImportSubjectiveScore(data) {
    return service({
      url: setUpUrls.pImportSubjectiveScore,
      method: "POST",
      data
    });
  },
  //  分页查询即时测题目统计
  pExamQuestionReport(data) {
    return service({
      url: setUpUrls.pExamQuestionReport,
      method: "POST",
      data
    });
  },
  //  查询即时测学生统计
  pExamStudentReport(data) {
    return service({
      url: setUpUrls.pExamStudentReport,
      method: "POST",
      data
    });
  },
  //  重新判分
  pReScore(data) {
    return service({
      url: setUpUrls.pReScore,
      method: "POST",
      data
    });
  },
  //  导出单课时报表
  pExportPeriodReport(data) {
    return service({
      url: setUpUrls.pExportPeriodReport,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //  导出阶段测练报表
  pExportPhaseExamReport(data) {
    return service({
      url: setUpUrls.pExportPhaseExamReport,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //  导出单卷测练报表
  pExportExamReport(data) {
    return service({
      url: setUpUrls.pExportExamReport,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //  数据导出
  pExportData(data) {
    return service({
      url: setUpUrls.pExportData,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //  数据导入
  pImportData(data) {
    return service({
      url: setUpUrls.pImportData,
      method: "POST",
      data
    });
  },

  /** 平台管理 */
  //账户管理
  tenantPage(data) {
    return service({
      url: setUpUrls.tenantPage,
      method: "POST",
      data
    });
  },
  //修改账号
  updateTenant(data) {
    return service({
      url: setUpUrls.updateTenant,
      method: "POST",
      data
    });
  },
  //新增租户账号
  addTenant(data) {
    return service({
      url: setUpUrls.addTenant,
      method: "POST",
      data
    });
  },
  //授课端版本管理
  versionPage(data) {
    return service({
      url: setUpUrls.versionPage,
      method: "POST",
      data
    });
  },
  //新增授课端版本
  addVersion(data) {
    return service({
      url: setUpUrls.addVersion,
      method: "POST",
      data
    });
  },
  //删除授课端版本
  delVersion(data) {
    return service({
      url: setUpUrls.delVersion,
      method: "POST",
      data
    });
  },
  //基站统计数据
  pStationReport(data) {
    return service({
      url: setUpUrls.pStationReport,
      method: "POST",
      data
    });
  },
  //答题器统计数据
  pKeyboardReport(data) {
    return service({
      url: setUpUrls.pKeyboardReport,
      method: "POST",
      data
    });
  },
  //查询设备列表
  pDeviceList(data) {
    return service({
      url: setUpUrls.pDeviceList,
      method: "POST",
      data
    });
  },
  //查询设备详情
  pDeviceDetail(data) {
    return service({
      url: setUpUrls.pDeviceDetail,
      method: "POST",
      data
    });
  },
  //查询设备日志列表
  pDeviceLogList(data) {
    return service({
      url: setUpUrls.pDeviceLogList,
      method: "POST",
      data
    });
  },
  //班级名册导入
  studentTemplateUrl(data) {
    return service({
      url: setUpUrls.studentTemplateUrl,
      method: "POST",
      data
    });
  },
  //班级名册导出
  exportStudent(data) {
    return service({
      url: setUpUrls.exportStudent,
      method: "POST",
      data,
      responseType: 'arraybuffer',
    });
  },
  //上传图片
  puploadImg(data) {
    return service({
      url: setUpUrls.uploadImg,
      method: "POST",
      data,
    });
  },
  //学生测练统计
  pStudentExamReport(data) {
    return service({
      url: setUpUrls.pStudentExamReport,
      method: "POST",
      data,
    });
  },
  //查询最新的授课端应用版本
  pLatestVersion(data) {
    return service({
      url: setUpUrls.pLatestVersion,
      method: "POST",
      data,
    });
  },
  //载指定版本授课端
  pGetAppDownloadUrl(data) {
    return service({
      url: setUpUrls.pGetAppDownloadUrl,
      method: "POST",
      data,
    });
  },
  //修改密码
  changePwd(data) {
    return service({
      url: setUpUrls.changePwd,
      method: "POST",
      data,
    });
  },
  /**
   * v1.4
   */
  //班级管理
  classManager(data) {
    return service({
      url: setUpUrls.classManager,
      method: "POST",
      data,
    });
  },
  //班级排序
  classSort(data) {
    return service({
      url: setUpUrls.classSort,
      method: "POST",
      data,
    });
  },
  //学生分班轨迹
  studentClassLogs(data) {
    return service({
      url: setUpUrls.studentClassLogs,
      method: "POST",
      data,
    });
  },
  //修改科目
  updateSubject(data) {
    return service({
      url: setUpUrls.updateSubject,
      method: "POST",
      data,
    });
  },
  //.net下载地址
  runtimeEnvFileUrl(data) {
    return service({
      url: setUpUrls.runtimeEnvFileUrl,
      method: "POST",
      data,
    });
  },
  //学校学段及年级
  sectionAndGradeList(data) {
    return service({
      url: setUpUrls.sectionAndGradeList,
      method: "POST",
      data,
    });
  },
  //学校设备使用分析
  usageStatistics(data) {
    return service({
      url: setUpUrls.usageStatistics,
      method: "POST",
      data,
    });
  },
  //集团设备使用分析
  tenantUsageStatistics(data) {
    return service({
      url: setUpUrls.tenantUsageStatistics,
      method: "POST",
      data,
    });
  },
  //集团学段及年级
  tenantSectionAndGradeList(data) {
    return service({
      url: setUpUrls.tenantSectionAndGradeList,
      method: "POST",
      data,
    });
  },
  //集团查询科目列表
  tenantSubjectList(data) {
    return service({
      url: setUpUrls.tenantSubjectList,
      method: "POST",
      data,
    });
  },
  // 未分班学生名单导出
  exportNoClassStudent() {
    return service({
      url: setUpUrls.exportNoClassStudent,
      method: "POST",
      responseType: 'arraybuffer',
    });
  },
  // 未分配教师名单导出
  exportNoClassTeacher() {
    return service({
      url: setUpUrls.exportNoClassTeacher,
      method: "POST",
      responseType: 'arraybuffer',
    });
  },
  // 学校查询异常设备总数
  abnormalDeviceCount() {
    return service({
      url: setUpUrls.abnormalDeviceCount,
      method: "POST",
    });
  },
  // 集团查询异常设备总数
  tenantAbnormalDeviceCount() {
    return service({
      url: setUpUrls.tenantAbnormalDeviceCount,
      method: "POST",
    });
  },
  // 设备异常备注
  abnormalRemark(data) {
    return service({
      url: setUpUrls.abnormalRemark,
      method: "POST",
      data
    });
  },
  // 删除班级信息
  removeClass(data) {
    return service({
      url: setUpUrls.removeClass,
      method: "POST",
      data
    });
  },
};
